#!/Perl
use XML::Twig;

my $file = 'camelids01.xml';
my $twig = XML::Twig->new();

$twig->parsefile($file);

my $root = $twig->root;

foreach my $species ($root->children('species')){
    print $species->first_child_text('common-name');
    print ' (' . $species->att('name') . ') ';
    #print $species->first_child('conservation')->att('status');
    print "\n";
}

